# std::__future_base::_State Class Reference

Shared state between a promise and one or more associated futures. More...

Inherited by std::__future_base::_Async_state< _Res >, std::__future_base::_Deferred_state< _Res >, and std::__future_base::_Task_state< _Res(_Args...)>.

List of all members.

## Public Member Functions

- _State (const _State &)
- void _M_break_promise (_Ptr_type __res)
- void _M_set_result (function< _Ptr_type()> __res, bool __ignore_failure=false)
- void _M_set_retrieved_flag ()
- _State & operator= (const _State &)
- _Result_base & wait ()
- template<typename _Rep , typename _Period > bool wait_for (const chrono::duration< _Rep, _Period > &__rel)
- template<typename _Clock , typename _Duration > bool wait_until (const chrono::time_point< _Clock, _Duration > &__abs)

## Static Public Member Functions

- template<typename _Res , typename _Arg > static _Setter< _Res, _Arg && > __setter (promise< _Res > *__prom, _Arg &&__arg)
- template<typename _Res > static _Setter< _Res,
  __exception_ptr_tag > __setter (exception_ptr &__ex, promise< _Res > *__prom)
- static _Setter< void, void > __setter (promise< void > *__prom)
- template<typename _Tp > static bool _S_check (const shared_ptr< _Tp > &__p)

## Detailed Description

Shared state between a promise and one or more associated futures.

Definition at line 262 of file future.

The documentation for this class was generated from the following file:

- future